Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service
Class MessagePartContainer

    java.lang.Object
      org.codehaus.xfire.service.MessagePartContainer

Direct Known Subclasses:
  FaultInfo, MessageInfo

    public abstract class MessagePartContainer

extends java.lang.Object

Represents the base class for containers of `MessagePartInfo` objects.

Author:
  Arjen Poutsma

Constructor Summary
`protected` | `MessagePartContainer(OperationInfo operation)` Initializes a new instance of the `MessagePartContainer`.

Method Summary
`void` | `addMessageHeader(MessageHeaderInfo header)` Adds an message header to this container.
`MessageHeaderInfo` | `addMessageHeader(javax.xml.namespace.QName name, java.lang.Class clazz)` Adds an message part to this conainer.
`void` | `addMessagePart(MessagePartInfo part)` Adds an message part to this container.
`MessagePartInfo` | `addMessagePart(javax.xml.namespace.QName name, java.lang.Class clazz)` Adds an message part to this conainer.
`MessageHeaderInfo` | `getMessageHeader(javax.xml.namespace.QName name)` Returns the message part with the given name, if found.
`java.util.List` | `getMessageHeaders()` Returns all message headers for this message.
`MessagePartInfo` | `getMessagePart(javax.xml.namespace.QName name)` Returns the message part with the given name, if found.
`int` | `getMessagePartIndex(MessagePartInfo part)`
`java.util.List` | `getMessageParts()` Returns all message parts for this message.
`OperationInfo` | `getOperation()` Returns the operation of this container.
`void` | `removeMessageHeader(javax.xml.namespace.QName name)` Removes an message header from this container.
`void` | `removeMessagePart(javax.xml.namespace.QName name)` Removes an message part from this container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagePartContainer

    protected MessagePartContainer(OperationInfo operation)

  Initializes a new instance of the `MessagePartContainer`.

  Parameters:
    `operation` - the operation.

Method Detail

### getOperation

    public OperationInfo getOperation()

  Returns the operation of this container.

  Returns:
    the operation.

### addMessagePart

    public MessagePartInfo addMessagePart(javax.xml.namespace.QName name,
                                          java.lang.Class clazz)

  Adds an message part to this conainer.

  Parameters:
    `name` - the qualified name of the message part.
    `clazz` - the type of the message part.

### addMessageHeader

    public MessageHeaderInfo addMessageHeader(javax.xml.namespace.QName name,
                                              java.lang.Class clazz)

  Adds an message part to this conainer.

  Parameters:
    `name` - the qualified name of the message part.
    `clazz` - the type of the message part.

### addMessagePart

    public void addMessagePart(MessagePartInfo part)

  Adds an message part to this container.

  Parameters:
    `part` - the message part.

### addMessageHeader

    public void addMessageHeader(MessageHeaderInfo header)

  Adds an message header to this container.

  Parameters:
    `header` - the message part.

### getMessagePartIndex

    public int getMessagePartIndex(MessagePartInfo part)

### removeMessagePart

    public void removeMessagePart(javax.xml.namespace.QName name)

  Removes an message part from this container.

  Parameters:
    `name` - the qualified message part name.

### removeMessageHeader

    public void removeMessageHeader(javax.xml.namespace.QName name)

  Removes an message header from this container.

  Parameters:
    `name` - the qualified message header name.

### getMessagePart

    public MessagePartInfo getMessagePart(javax.xml.namespace.QName name)

  Returns the message part with the given name, if found.

  Parameters:
    `name` - the qualified name.
  Returns:
    the message part; or `null` if not found.

### getMessageHeader

    public MessageHeaderInfo getMessageHeader(javax.xml.namespace.QName name)

  Returns the message part with the given name, if found.

  Parameters:
    `name` - the qualified name.
  Returns:
    the message part; or `null` if not found.

### getMessageParts

    public java.util.List getMessageParts()

  Returns all message parts for this message.

  Returns:
    all message parts.

### getMessageHeaders

    public java.util.List getMessageHeaders()

  Returns all message headers for this message.

  Returns:
    all message parts.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.